Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78421 - Evolution locks up after being open a few days.
Summary: Evolution locks up after being open a few days.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: evolution
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-22 17:58 UTC by Glen
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-29 08:28:25 UTC


Attachments (Terms of Use)

Description Glen 2002-11-22 17:58:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
After being open for several days, evolution will stop responding.  I then have
to kill all of it's processes and restart it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open Evolution
2. Use Evolution every day and never close it.
3. Eventually it will lock up.
	

Actual Results:  It locked up again.

Expected Results:  I didn't expect it to do it again after the first time it
happened but it did.

Additional info:

Comment 1 Michael Lee Yohe 2002-11-22 18:36:47 UTC
Which version of Evolution are you running?  How you are connecting to your mail
server (local, pop, imap)?  Do you access the same server with another email
client (at another location)?

I have had Evolution up on my workstation for over a week now without a problem.

Comment 2 Glen 2002-11-22 19:48:20 UTC
I am using evolution 1.0.8-10.
The protocol I'm using is IMAP.
Sometimes I ssh from home to our mail server and check my mail with pine.

Comment 3 Michael Lee Yohe 2002-11-22 22:14:25 UTC
That's the big kicker.  I have noticed that Evolution does not handle IMAP
connections very well if another client attempts to obtain the mail box lock. 
You see, once Pine opens up your mailbox file it says something to the effect
that "another client has mailbox - attempting to retrieve lock".  The imap
server itself was the "client" that possessed the original lock.  Once Pine has
achieved a lock on the file, Evolution should treat your mail folders as read
only until it can successfully retrieve the lock again (after about 2 minutes of
the lock being freed up).  Mozilla Mail and Outlook Express are more graceful in
handling another client "steal" the lock.

Workaround : ensure that you shutdown Evolution (or switch to OFFLINE mode)
prior to accessing your mail box from a different location.  OR switch to a
different email client.

Comment 4 Jeremy Katz 2002-12-29 08:28:25 UTC
Nothing about this is going to be fixed at the Red Hat level -- I will note,
though, that 1.2 is a lot better about handling these states more gracefully.


Note You need to log in before you can comment on or make changes to this bug.